#!/bin/bash
#set -x

if [ -z "$1" ]; then
 exit
fi

ipath=/opt/imPcRemote

if [ -f "$1/ultravnc_dsm_helper" ]; then
 rm $ipath/ssvnc/ultravnc_dsm_helper.old
 mv -f $ipath/ssvnc/ultravnc_dsm_helper $ipath/ssvnc/ultravnc_dsm_helper.old
 cp -Rpf $1/ultravnc_dsm_helper $ipath/ssvnc
 chmod -R 775 $ipath/ssvnc/ultravnc_dsm_helper
 if [ -f "$ipath/ssvnc/ultravnc_dsm_helper" ]; then
  rm $ipath/ssvnc/ultravnc_dsm_helper.old
 fi
fi

if [ -f "$1/x11vnc" ]; then
 rm $ipath/ssvnc/x11vnc.old
 mv -f $ipath/ssvnc/x11vnc $ipath/ssvnc/x11vnc.old
 cp -Rpf $1/x11vnc $ipath/ssvnc
 chmod -R 775 $ipath/ssvnc/x11vnc
 if [ -f "$ipath/ssvnc/x11vnc" ]; then
  rm $ipath/ssvnc/x11vnc.old
 fi
fi

mv -f $ipath/imPcRemoteTray $ipath/imPcRemoteTray.old
cp -Rpf $1/imPcRemoteTray $ipath
chmod 775  $ipath/imPcRemoteTray

mv -f $ipath/imPcRemoteService $ipath/imPcRemoteService.old
cp -Rpf $1/imPcRemoteService $ipath
chmod -R 775 $ipath/imPcRemoteService

sdpath="/usr/lib/systemd/system"
if [ ! -d $sdpath ]; then
 sdpath="/lib/systemd/system"
fi
cp $1/impcremote.service $sdpath
chmod -R 664 $sdpath/impcremote.service
systemctl daemon-reload

touch /tmp/impctray_restart
sleep 6s
rm /tmp/impctray_restart

systemctl restart impcremote
